#
# Makefile for "The Lotec Speech Recognition System"
#

LIBS = -L/usr/demo/SOUND -laudio   -lm -lX11 
INC = -I/usr/demo/SOUND/
OUT = ../bin/

#
all:  real  grab feat match  labeler chopper  showmatch judge  
#
match: match.o mmeat.o util.o xutil.o rwin.o
	gcc -g -o ${OUT}match match.o mmeat.o fft.o util.o xutil.o rwin.o ${LIBS}
match.o: match.c cheap.h
	gcc -g -c ${INC} match.c
#
feat: feat.o fmeat.o util.o xutil.o fft-if.o fft.o 
	gcc -g -o ${OUT}feat feat.o fmeat.o util.o xutil.o fft-if.o fft.o ${LIBS}
feat.o: feat.c cheap.h 
	gcc -g -c ${INC} feat.c 
#	
labeler: labeler.o util.o xutil.o 
	gcc -g -o ${OUT}labeler labeler.o xutil.o  util.o  ${LIBS}
labeler.o: labeler.c cheap.h
	gcc -g -c ${INC} labeler.c
#	
grab: grab.o gmeat.o util.o 
	gcc -g -o ${OUT}grab grab.o gmeat.o util.o  ${LIBS}
grab.o: grab.c cheap.h
	gcc -g -O -c ${INC} grab.c
#	
judge: judge.o util.o 
	gcc -g -o ${OUT}judge judge.o util.o  ${LIBS}
judge.o: judge.c cheap.h
	gcc -g -c ${INC} judge.c
#	
chopper: chopper.o util.o 
	gcc -g -o ${OUT}chopper chopper.o util.o  ${LIBS}
chopper.o: chopper.c cheap.h
	gcc -g -c ${INC} chopper.c
#	
showmatch: showmatch.o util.o xutil.o 
	gcc -g -o ${OUT}showmatch showmatch.o xutil.o util.o  ${LIBS}
showmatch.o: showmatch.c cheap.h
	gcc -g -c ${INC} showmatch.c
#
real: real.o gmeat.o fmeat.o mmeat.o util.o fft.o fft-if.o rwin.o xutil.o 
	gcc -g -o ${OUT}real real.o gmeat.o fmeat.o mmeat.o \
	fft-if.o fft.o util.o rwin.o xutil.o ${LIBS}
real.o: real.c cheap.h
	gcc -g -O -c ${INC} real.c
########################################################
util.o: util.c cheap.h
	gcc -g -c ${INC} util.c 
#
xutil.o: xutil.c cheap.h
	gcc -g -c ${INC} xutil.c 
#
gmeat.o: gmeat.c cheap.h
	gcc -g -O -c ${INC} gmeat.c 
#
fmeat.o: fmeat.c fft.o cheap.h
	gcc -g -O -c ${INC} fmeat.c 
#
mmeat.o: mmeat.c cheap.h
	gcc -g -O -c ${INC} mmeat.c 
#
fft.o: cam-fft.c
	gcc -c -o fft.o cam-fft.c 
#
fft-if.o: fft-if.c cheap.h
	gcc -g -O -c ${INC} fft-if.c
#
rwin.o: rwin.c cheap.h
	gcc -g -c ${INC} rwin.c 

########################################################
clean:
	rm *.o
#######################################################
